%define	name	xmms-sc68
%define	version	2.1.0
%define release	4mdk
%define oname xmms68

Summary:	SC68 - Atari ST and Amiga music player
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
Url:		http://sc68.atari.org/
Source:		http://prdownloads.sourceforge.net/sc68/%{oname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	xmms
BuildRequires:	libxmms-devel
BuildRequires:	libsc68-devel

%description
sc68 is an Atari ST and Amiga music player.  It can play special files
(.sc68). This file encapsulates orgininal music files and possibly the
program to play it.  You can find a very large collection of this file
on sc68 official web site <http://sashipa.ben.free.fr/sc68>.

This package contains an input plugin for XMMS <http://www.xmms.org>.

%prep
%setup -q -n %oname-%version

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std
rm -f %buildroot%_libdir/xmms/Input/*a

%clean
rm -rf %buildroot

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README
%_libdir/xmms/Input/libxmms68.so

%changelog
* Mon Dec 05 2005 Götz Waschk <waschk@mandriva.org> 2.1.0-4mdk
- Rebuild

* Fri Dec  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-3mdk
- fix URL

* Wed Nov 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-2mdk
- rebuild against new libsc68

* Tue Sep 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-1mdk
- initial package of xmms68 

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-5mdk
- fix buildrequires

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-4mdk
- mklibname macro

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-3mdk
- clean unpackaged files
- fix build

* Sat Mar  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-2mdk
- really fix info dir entry

* Tue Feb  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- fixed info entry
- initial package


